Show / Hide Table of Contents

# Struct MouseEvent

Describes a mouse event

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public struct MouseEvent

### Fields

#### Flags

Flags indicating the kind of mouse event that is being posted.

##### Declaration

    public Terminal.Gui.MouseFlags Flags;

##### Field Value

Type | Description
--- | ---
MouseFlags | To be added.

#### X

The X (column) location for the mouse event.

##### Declaration

    public int X;

##### Field Value

Type | Description
--- | ---
System.Int32 | To be added.

#### Y

The Y (column) location for the mouse event.

##### Declaration

    public int Y;

##### Field Value

Type | Description
--- | ---
System.Int32 | To be added.

### Methods

#### ToString()

Returns a System.String that represents the current MouseEvent.

##### Declaration

    public override string ToString ();

##### Returns

Type | Description
--- | ---
System.String | A System.String that represents the current MouseEvent.